#!/bin/sh
#	This script will remove the MEGAIDE and LSICSB6 entries from 
#	/etc/modules.conf.  This required in order to install a RedHat
#	errata kernel.

MODULES_CONF=/etc/modules.conf
MODULES_CONF_BACKUP=/etc/modules.conf.bak
MODULES_CONF_TEMP=/etc/modules.conf.temp

if [ "$UID" != "0" ]; then
	echo
	echo "You must be logged in as \"root\" to run this script!"
	echo
	exit 1
fi

megaide_presence="n"
lsicsb6_presence="n"

if (grep -i -w megaide $MODULES_CONF > /dev/null)
then
	megaide_presence="y"
fi 

if (grep -i -w lsicsb6 $MODULES_CONF > /dev/null)
then
	lsicsb6_presence="y"
fi 

if [ "$lsicsb6_presence" = "y" -o "$megaide_presence" = "y" ]; then
	i=0
	foo=$MODULES_CONF_BACKUP
	while [ -f $MODULES_CONF_BACKUP ]; do
		MODULES_CONF_BACKUP=$foo$i
		let i=$i+1
	done
	cp $MODULES_CONF $MODULES_CONF_BACKUP
	i=0
	foo=$MODULES_CONF_TEMP
	while [ -f $MODULES_CONF_TEMP ]; do
		MODULES_CONF_TEMP=$foo$i
		let i=$i+1
	done
	grep -v -i megaide $MODULES_CONF > $MODULES_CONF_TEMP
	grep -v -i lsicsb6 $MODULES_CONF_TEMP > $MODULES_CONF
	rm -f $MODULES_CONF_TEMP
	echo
	echo "A backup of $MODULES_CONF has been written to $MODULES_CONF_BACKUP"
	echo
fi
